stages:
    - test
    - build
    - deploy
    - cleanup

variables:
  GIT_STRATEGY: clone
  GIT_SUBMODULE_STRATEGY: recursive

www tests:
# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
  image: registry.gitlab.com/pages/hugo:latest
  stage: test
  script:
  - hugo -s www
  except:
  - master

pages:
# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
  image: registry.gitlab.com/pages/hugo:latest
  
  stage: deploy
  script:
    - hugo -s www -v
    - mkdir .public
    - cp -r www/public/* .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - master


MassCompile:
   stage: test
   
   tags:
       - LV2014
   
   script:
   
   #
   # Masscompile sources
   #
       - echo 'LabVIEWCLI -OperationName MassCompile -DirectoryToCompile "'$CI_PROJECT_DIR'" -MassCompileLogFile "C:\temp\log.txt" -AppendToMassCompileLog false -NumOfVIsToCache 20 -ReloadLVSBs false'
       - LabVIEWCLI -OperationName MassCompile -DirectoryToCompile "$CI_PROJECT_DIR" -MassCompileLogFile "C:\temp\log.txt" -AppendToMassCompileLog false -NumOfVIsToCache 20 -ReloadLVSBs false

# Unit Test:
#    stage: test
   
#    tags:
#        - LV2014
   
#    script:   
#    #
#    # Run unit tests
#    #
#      - g-cli --lv-ver 2014 "C:\Program Files (x86)\National Instruments\LabVIEW 2014\vi.lib\addons\_JKI Toolkits\Caraya\CarayaCLIExecutionEngine.vi" -- -s "$CI_PROJECT_DIR\Sources\Unit Tests" -x "$CI_PROJECT_DIR\Sources\test-result.xml"

#    artifacts:

#        paths:
#            - Sources\test-result.xml
#        reports:
#            junit:
#                - Sources\test-result.xml



Exit LabVIEW:
   stage: cleanup
   
   tags:
       - LV2014
   
   script:
       - taskkill /IM "LabVIEW.exe" /F #This is extrem, but it works

   when: always
   allow_failure: true